﻿@page "/registro"

@using System.Text.RegularExpressions
@using System.ComponentModel.DataAnnotations

@using CurrieTechnologies.Razor.SweetAlert2;
@using Hackaton.Shared;
@using Hackaton.Client.Servicios.Contrato;


@inject IUsuarioServicio _usuarioServicio;
@inject NavigationManager _navServicio;
@inject ISnackbar Snackbar;
@inject SweetAlertService Swal;

<head>

<style>
        /* Estilos para la página de registro */
        .register-container {
            background-color: #fff;
            padding: 30px;
            border-radius: 5px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            max-width: 400px;
            width: 100%;
            margin: 0 auto;
        }

            .register-container h2 {
                text-align: center;
                margin-bottom: 20px;
            }

        .form-group {
            margin-bottom: 20px;
        }

            .form-group label {
                display: block;
                font-weight: bold;
                margin-bottom: 5px;
            }

            .form-group input {
                width: 100%;
                padding: 10px;
                border: 1px solid #ccc;
                border-radius: 3px;
            }

        .btn {
            display: block;
            width: 100%;
            padding: 10px;
            background-color: #4CAF50;
            color: #fff;
            border: none;
            border-radius: 3px;
            cursor: pointer;
        }

            .btn:hover {
                background-color: #45a049;
            }
</style>
</head>
<div class="register-container">
    <h2>Registrarse</h2>


    <EditForm Model="@usuario" OnValidSubmit="Registrar">
        <DataAnnotationsValidator />
        <div class="form-group">
            <label for="username">Nombre de usuario</label>
            <InputText id="username" @bind-Value="usuario.Nombre" />
            <ValidationMessage For="@(() => usuario.Nombre)" />
        </div>
        <div class="form-group">
            <label for="password">Contraseña</label>
            <InputText id="password" type="password" @bind-Value="usuario.Password" />
            <ValidationMessage For="@(() => usuario.Password)" />
        </div>
        @* <div class="form-group">
            <label for="confirmPassword">Confirmar contraseña</label>
            <InputText id="confirmPassword" type="password" @bind-Value="usuario.ConfirmPassword" />
            <ValidationMessage For="@(() => usuario.ConfirmPassword)" />
        </div> *@
        <button type="submit" class="btn" @onclick="Registrar">Registrarse</button>
    </EditForm>
</div>

@code {
    private Usuario usuario = new Usuario();
    private RegisterModel registerModel = new RegisterModel();

    private async Task RegistrarUsuario()
    {
        // Aquí puedes agregar la lógica para registrar al usuario en tu sistema
        // Ejemplo:
        if (registerModel.Password == registerModel.ConfirmPassword)
        {
            // Registrar al usuario
            Console.WriteLine($"Usuario registrado: {registerModel.Username}");
            // Redirigir al usuario a la página de inicio de sesión u otra página
        }
        else
        {
            // Contraseñas no coinciden
            Console.WriteLine("Las contraseñas no coinciden");
        }
    }

    public async Task Registrar()
    {
        var result = await _usuarioServicio.CrearUsuario(usuario);
    }




    


}